# $Revision: 1.26 $, $Date: 2007/02/12 21:21:30 $
Summary:	Preety puzzle games for one player
Summary(pl.UTF-8):	Ładne układanki dla jednego gracza
Name:		54321
Version:	1.0.2001.11.16
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://nklein.com/products/54321/%{version}/%{name}.tgz
# Source0-md5:	20b2ad52ef45742c1a65911b225b6ddc
Source1:	%{name}.desktop
Patch0:		%{name}-sdl_include_dir_fix.patch
Patch1:		%{name}-linking.patch
Patch2:		%{name}-SDL_main.patch
URL:		http://www.nklein.com/products/54321/
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	SDL_image-devel
Requires:	SDL >= 1.2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
54321 is five games in four-, three-, or two-dimensions for one
player. 54321 takes five classic two-dimensional puzzle games and
extends them into three and four dimensions.

%description -l pl.UTF-8
54321 to pięć gier w czterech, trzech i dwóch wymiarach dla jednego
gracza. Gry bazują na klasycznych schematach układanek; oprawione są w
ładną grafikę.

%prep
%setup -q -n 54321
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -f GNUmakefile \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmldflags}" \
	CXXFLAGS="%{rpmcflags} -I/usr/include/SDL -DNDEBUG=1" \
	STRIP="echo"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_bindir},%{_datadir}/54321/bin/Linux,%{_libdir}/54321}

cp -r Release/data $RPM_BUILD_ROOT%{_datadir}/54321
# hack to preserve %{_datadir} arch-independent
install Release/bin/Linux/54321 $RPM_BUILD_ROOT%{_libdir}/54321
cat > $RPM_BUILD_ROOT%{_bindir}/54321 <<EOF
#!/bin/sh
cd /usr/share/54321/bin/Linux && exec %{_libdir}/54321/54321 \$*
EOF

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%dir %{_datadir}/%{name}/bin/Linux
%{_datadir}/%{name}/data
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: 54321.spec,v $
Revision 1.26  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.25  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.24  2006/11/12 16:54:01  qboosh
- BR SDL in required version

Revision 1.23  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.22  2006/11/06 00:34:11  sparky
- added SDL_main patch

Revision 1.21  2006/11/05 21:45:22  sparky
- BR: SDL-devel >= 1.2.11-2
- add linking patch
- add rpmldflags
- don't strip

Revision 1.20  2004/09/22 01:09:02  ankry
- rel. 3

Revision 1.19  2004/06/27 12:12:56  qboosh
- Source2 no longer used

Revision 1.18  2004/06/27 10:17:11  qboosh
- removed dup from files
- hack (move binary to libdir) to make /usr/share arch-independent
  (too many hardcoded "../../data" paths to prepare quick patch)

Revision 1.17  2004/06/26 23:09:45  gotar
- fix and missing dir from Krystian T tomczyk at op onet pl,
- release 2.

Revision 1.16  2004/03/25 20:11:46  qboosh
- cleanups

Revision 1.15  2004/03/25 11:32:43  andree
- removed all applnkdir defs
- add missing include SDL/

Revision 1.14  2003/08/06 16:03:11  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.13  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.10  2002/12/02 11:06:13  ankry
- massive cleaning

Revision 1.9  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.8  2002/05/13 15:01:25  wolf
- (pl desc) puzzlowate gry -> układanki

Revision 1.7  2002/05/11 18:44:22  zytek
- nothing we can do now... so STB and enjoy ;)

Revision 1.6  2002/05/11 18:13:39  kloczek
- removed some Requires (this is autogenerated) and apterize spec file.

Revision 1.5  2002/05/11 18:01:21  zytek
- fixed paths

Revision 1.4  2002/05/11 17:46:56  zytek
- added CFLAGS, CC, CXX to %{__make} - thx arekm

Revision 1.3  2002/05/11 16:49:53  zytek
- finished!

Revision 1.2  2002/05/11 16:09:35  zytek
- some new cool lines added ;) Maybe it builds now? :)

Revision 1.1  2002/05/11 12:04:16  zytek
- Initial release, not yet completed
- I'm learning on it so please don't touch it
